#!/bin/bash

# STOP SCRIPT
# The stop script is required for all templates.
# It is used to stop the service on the server.
# It is called with the path to the server specific env file as an argument.

source "$(dirname "$0")/_common.sh"
load_env "$1" || die "Failed to load environment variables"

# Required environment variables
check_required_env_vars "CONTAINER_NAME"

_stop_container $CONTAINER_NAME || die "Failed to stop container ${CONTAINER_NAME}"

echo "Container ${CONTAINER_NAME} stopped"
